<?php

try {
	$pdo = new PDO('mysql:host=localhost;dbname=;charset=utf8mb4', '', '');
	$pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $e) {
	echo $e->getMessage();
	exit;
}

function qry($query, $data = []) {
	global $pdo;
	$stmt = $pdo->prepare($query);
	$stmt->execute($data);
	return $stmt;
}

function id() {
	$results = isset($_GET['id']) && !empty($_GET['id']) ? abs(intval($_GET['id'])) : null;
	return $results;
}

function head($title) {
	?>
	<!DOCTYPE HTML>
		<html lang="ru">
			<head>
				<meta charset="utf-8">
				<meta name="viewport" content="width=device-width, initial-scale=1.0">
				<meta name="description" content="">
				<meta name="keywords" content="">
				<title><?=$title;?></title>
				<link rel="stylesheet" href="/images/style/style.css" type="text/css">
			</head>
		<body>
			<div class="header">
				<select onchange="window.location.href=this.value">
					<option selected disabled>Меню</option>
					<option value="/">Главная</option>
				</select>
			</div>
	<?php
}

function foot() {
	?>
	<div class="copyright">
		COPYRIGHT &copy; 2023
	</div>
	</body>
	</html>
	<?php
}

function response($url) {
	header("Location: {$url}");
	exit;
}

function action() {
	$results = isset($_GET['action']) && !empty($_GET['action']) ? trim(htmlspecialchars($_GET['action'])) : null;
	return $results;
}

?>