<?php

// Подключение
require_once ('core.php');

// Скрипт
switch (action()) {
	
	// Главная
	default:
		head('Главная');
		$categories = qry("SELECT * FROM categories WHERE status = ?", [0]);
		if ($categories->rowCount() > 0) {
			$categories = $categories->fetchAll();
			foreach ($categories as $value) {
				echo "<a href=\"?action=category&amp;id={$value['id']}\" class=\"link\">{$value['name']}</a>";
			}
		}
		foot();
	break;
	
	// Категории
	case 'category':
		$id = id();
		$categories = qry("SELECT * FROM categories WHERE id = ? AND status = ?", [$id, 0]);
		if ($categories->rowCount() > 0) {
			$categories = $categories->fetch();
			head($categories['name']);
			echo "<div class=\"title\">{$categories['name']}</div>";
			$posts = qry("SELECT * FROM posts WHERE category = ? AND status = ?", [$categories['id'], 0]);
			if ($posts->rowCount() > 0) {
				$posts = $posts->fetchAll();
				foreach ($posts as $value) {
					echo "<a href=\"?action=view&amp;id={$value['id']}\" class=\"link\">{$value['name']}</a>";
				}
			} else {
				response('/');
			}
			foot();
		} else {
			response('/');
		}
	break;
	
	// Просмотр
	case 'view':
		$id = id();
		$posts = qry("SELECT * FROM posts WHERE id = ? AND status = ? LIMIT 1", [$id, 0]);
		if ($posts->rowCount() > 0) {
			$posts = $posts->fetch();
			head($posts['name']);
			echo "<div class=\"title\">{$posts['name']}</div>";
			echo "<div class=\"description\">{$posts['description']}</div>";
			echo "<a href=\"?action=category&amp;id={$posts['category']}\" class=\"link\">Вернуться</a>";
			foot();
		} else {
			response('/');
		}
	break;
	
}

?>